import { ISavedGridState } from '../models';
import { Identifiable } from '@custis/common';
export declare class StorageService<TItem extends Identifiable> {
    private key;
    setKey(value: string): void;
    setSavedGridState(value: ISavedGridState<TItem>[]): void;
    getSavedGridState(): ISavedGridState<TItem>[] | undefined;
    private get stateKey();
}
